summaryrefslogtreecommitdiffstats
path: root/make/scripts
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2012-08-16 14:39:30 +0200
committerSven Gothel <[email protected]>2012-08-16 14:39:30 +0200
commit422d7a5eb53fca6642ebf4e8910d8b0311bb2597 (patch)
tree7a59a1a87dd688becc54f951d3ef8a2877b1ab29 /make/scripts
parent01531a73c2d3afcef06d9aa0e91161a6561b6a4a (diff)
Change/Lower ARM Requierements for GNU/Linux & Android-GNU/Linux ARM: ARMv7hf -> ARMv6hf, ARMv7-soft -> ARMv5te/ARMV6 (soft)
platform build config files: lib/gluegen-cpptasks-linux-armv7.xml -> lib/gluegen-cpptasks-linux-armv6.xml lib/gluegen-cpptasks-linux-armv7hf.xml -> lib/gluegen-cpptasks-linux-armv6hf.xml properties: isLinuxARMv7 -> isLinuxARMv6 isLinuxARMv7Armel -> isLinuxARMv6Armel isLinuxARMv7Armhf -> isLinuxARMv6Armhf isAndroidARMv7 -> isAndroidARMv6 isAndroidARMv7Armel -> isAndroidARMv6Armel isAndroidARMv7Armhf -> isAndroidARMv6Armhf targets: compiler.cfg.linux.armv7 -> compiler.cfg.linux.armv6 linker.cfg.linux.armv7 -> linker.cfg.linux.armv6 compiler.cfg.linux.armv6: <compilerarg value="-fpic" /> <compilerarg value="-march=armv5te" /> <compilerarg value="-marm" /> <compilerarg value="-mfloat-abi=softfp" /> <linkerarg value="-fpic" /> <linkerarg value="-march=armv5te" /> <linkerarg value="-marm" /> <linkerarg value="-mfloat-abi=softfp" /> <linkerarg value="-nostdlib" /> <linkerarg value="-Bdynamic" /> compiler.cfg.linux.armv6hf: <compilerarg value="-fpic" /> <compilerarg value="-march=armv6" /> <compilerarg value="-marm" /> <compilerarg value="-mfloat-abi=hard" /> <linkerarg value="-fpic" /> <linkerarg value="-march=armv6" /> <linkerarg value="-marm" /> <linkerarg value="-mfloat-abi=hard" /> <linkerarg value="-nostdlib" /> <linkerarg value="-Bdynamic" /> gluegen-cpptasks-android-armv6.xml: <compilerarg value="-fpic" /> <compilerarg value="-march=armv6" /> <compilerarg value="-mfloat-abi=softfp" /> <compilerarg value="-marm" /> <linkerarg value="-march=armv6" /> <linkerarg value="-mfloat-abi=softfp" /> <linkerarg value="-marm" /> <linkerarg value="-nostdlib" /> <linkerarg value="-Bdynamic" />
Diffstat (limited to 'make/scripts')
-rwxr-xr-xmake/scripts/adb-install-all-armv6.sh2
-rwxr-xr-xmake/scripts/adb-reinstall-all-armv6.sh5
-rwxr-xr-xmake/scripts/make.gluegen.all.android-armv6-cross.sh93
-rwxr-xr-xmake/scripts/make.gluegen.all.linux-armv6-cross.sh (renamed from make/scripts/make.gluegen.all.linux-armv7-cross.sh)10
-rwxr-xr-xmake/scripts/make.gluegen.all.linux-armv6.sh (renamed from make/scripts/make.gluegen.all.linux-armv7.sh)6
-rwxr-xr-xmake/scripts/make.gluegen.all.linux-armv6hf-cross.sh (renamed from make/scripts/make.gluegen.all.linux-armv7hf-cross.sh)10
-rwxr-xr-xmake/scripts/make.gluegen.all.linux-armv6hf.sh (renamed from make/scripts/make.gluegen.all.linux-armv7hf.sh)4
7 files changed, 115 insertions, 15 deletions
diff --git a/make/scripts/adb-install-all-armv6.sh b/make/scripts/adb-install-all-armv6.sh
new file mode 100755
index 0000000..866881c
--- /dev/null
+++ b/make/scripts/adb-install-all-armv6.sh
@@ -0,0 +1,2 @@
+adb $* install ../build-android-armv6/jogamp-android-launcher.apk
+adb $* install ../build-android-armv6/gluegen-rt-android-armeabi.apk
diff --git a/make/scripts/adb-reinstall-all-armv6.sh b/make/scripts/adb-reinstall-all-armv6.sh
new file mode 100755
index 0000000..0e62c59
--- /dev/null
+++ b/make/scripts/adb-reinstall-all-armv6.sh
@@ -0,0 +1,5 @@
+sdir=`dirname $0`
+
+$sdir/adb-uninstall-all.sh $*
+$sdir/adb-install-all-armv6.sh $*
+
diff --git a/make/scripts/make.gluegen.all.android-armv6-cross.sh b/make/scripts/make.gluegen.all.android-armv6-cross.sh
new file mode 100755
index 0000000..9744b3d
--- /dev/null
+++ b/make/scripts/make.gluegen.all.android-armv6-cross.sh
@@ -0,0 +1,93 @@
+#! /bin/sh
+
+export NODE_LABEL=.
+
+export HOST_UID=jogamp
+# jogamp02 - 10.1.0.122
+export HOST_IP=10.1.0.122
+export HOST_RSYNC_ROOT=PROJECTS/JOGL
+
+export TARGET_UID=jogamp
+export TARGET_IP=panda02
+#export TARGET_IP=jautab03
+#export TARGET_IP=jauphone04
+export TARGET_ADB_PORT=5555
+# needs executable bit (probably su)
+export TARGET_ROOT=/data/projects
+export TARGET_ANT_HOME=/usr/share/ant
+
+echo ANDROID_SDK_HOME $ANDROID_SDK_HOME
+echo NDK_ROOT $NDK_ROOT
+
+if [ -z "$NDK_ROOT" ] ; then
+ #
+ # Generic android-ndk
+ #
+ if [ -e /usr/local/android-ndk ] ; then
+ NDK_ROOT=/usr/local/android-ndk
+ elif [ -e /opt-linux-x86/android-ndk ] ; then
+ NDK_ROOT=/opt-linux-x86/android-ndk
+ elif [ -e /opt/android-ndk ] ; then
+ NDK_ROOT=/opt/android-ndk
+ #
+ # Specific android-ndk-r7b
+ #
+ elif [ -e /usr/local/android-ndk-r7b ] ; then
+ NDK_ROOT=/usr/local/android-ndk-r7b
+ elif [ -e /opt-linux-x86/android-ndk-r7b ] ; then
+ NDK_ROOT=/opt-linux-x86/android-ndk-r7b
+ elif [ -e /opt/android-ndk-r7b ] ; then
+ NDK_ROOT=/opt/android-ndk-r7b
+ else
+ echo NDK_ROOT is not specified and does not exist in default locations
+ exit 1
+ fi
+elif [ ! -e $NDK_ROOT ] ; then
+ echo NDK_ROOT $NDK_ROOT does not exist
+ exit 1
+fi
+export NDK_ROOT
+
+if [ -z "$ANDROID_SDK_HOME" ] ; then
+ if [ -e /usr/local/android-sdk-linux_x86 ] ; then
+ ANDROID_SDK_HOME=/usr/local/android-sdk-linux_x86
+ elif [ -e /opt-linux-x86/android-sdk-linux_x86 ] ; then
+ ANDROID_SDK_HOME=/opt-linux-x86/android-sdk-linux_x86
+ elif [ -e /opt/android-sdk-linux_x86 ] ; then
+ ANDROID_SDK_HOME=/opt/android-sdk-linux_x86
+ else
+ echo ANDROID_SDK_HOME is not specified and does not exist in default locations
+ exit 1
+ fi
+elif [ ! -e $ANDROID_SDK_HOME ] ; then
+ echo ANDROID_SDK_HOME $ANDROID_SDK_HOME does not exist
+ exit 1
+fi
+export ANDROID_SDK_HOME
+
+export ANDROID_VERSION=9
+export SOURCE_LEVEL=1.6
+export TARGET_LEVEL=1.6
+export TARGET_RT_JAR=/opt-share/jre1.6.0_30/lib/rt.jar
+
+export GCC_VERSION=4.4.3
+HOST_ARCH=linux-x86
+export TARGET_TRIPLE=arm-linux-androideabi
+
+export NDK_TOOLCHAIN_ROOT=$NDK_ROOT/toolchains/${TARGET_TRIPLE}-${GCC_VERSION}/prebuilt/${HOST_ARCH}
+export TARGET_PLATFORM_ROOT=${NDK_ROOT}/platforms/android-${ANDROID_VERSION}/arch-arm
+
+# Need to add toolchain bins to the PATH.
+export PATH="$NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin:$ANDROID_SDK_HOME/platform-tools:$PATH"
+
+export GLUEGEN_CPPTASKS_FILE="lib/gluegen-cpptasks-android-armv6.xml"
+
+#export JUNIT_DISABLED="true"
+#export JUNIT_RUN_ARG0="-Dnewt.test.Screen.disableScreenMode"
+
+which gcc 2>&1 | tee make.gluegen.all.android-armv6-cross.log
+
+#BUILD_ARCHIVE=true \
+ant \
+ -Drootrel.build=build-android-armv6 \
+ $* 2>&1 | tee -a make.gluegen.all.android-armv6-cross.log
diff --git a/make/scripts/make.gluegen.all.linux-armv7-cross.sh b/make/scripts/make.gluegen.all.linux-armv6-cross.sh
index d364faf..bd56e89 100755
--- a/make/scripts/make.gluegen.all.linux-armv7-cross.sh
+++ b/make/scripts/make.gluegen.all.linux-armv6-cross.sh
@@ -14,7 +14,7 @@ export PATH
# -Dgluegen.cpptasks.detected.os=true \
# -DisUnix=true \
# -DisLinux=true \
-# -DisLinuxARMv7=true \
+# -DisLinuxARMv6=true \
# -DisX11=false \
export NODE_LABEL=.
@@ -28,17 +28,17 @@ export TARGET_IP=panda01
export TARGET_ROOT=/home/jogamp/projects-cross
export TARGET_ANT_HOME=/usr/share/ant
-export TARGET_PLATFORM_ROOT=/opt-linux-armv7-armel
+export TARGET_PLATFORM_ROOT=/opt-linux-armv6-armel
export TARGET_PLATFORM_LIBS=$TARGET_PLATFORM_ROOT/usr/lib
export TARGET_JAVA_LIBS=$TARGET_PLATFORM_ROOT/jre/lib/arm
-export GLUEGEN_CPPTASKS_FILE="lib/gluegen-cpptasks-linux-armv4.xml"
+export GLUEGEN_CPPTASKS_FILE="lib/gluegen-cpptasks-linux-armv6.xml"
#export JUNIT_DISABLED="true"
export JUNIT_RUN_ARG0="-Dnewt.test.Screen.disableScreenMode"
ant \
- -Drootrel.build=build-linux-armv7 \
- $* 2>&1 | tee make.gluegen.all.linux-armv7-cross.log
+ -Drootrel.build=build-linux-armv6 \
+ $* 2>&1 | tee make.gluegen.all.linux-armv6-cross.log
diff --git a/make/scripts/make.gluegen.all.linux-armv7.sh b/make/scripts/make.gluegen.all.linux-armv6.sh
index 1d78d74..1fc6656 100755
--- a/make/scripts/make.gluegen.all.linux-armv7.sh
+++ b/make/scripts/make.gluegen.all.linux-armv6.sh
@@ -11,8 +11,8 @@
export TARGET_PLATFORM_LIBS=/usr/lib/arm-linux-gnueabi
export TARGET_JAVA_LIBS=/usr/lib/jvm/default-java/jre/lib/arm
-export GLUEGEN_CPPTASKS_FILE="lib/gluegen-cpptasks-linux-armv4.xml"
+export GLUEGEN_CPPTASKS_FILE="lib/gluegen-cpptasks-linux-armv6.xml"
ant \
- -Drootrel.build=build-linux-armv7 \
- $* 2>&1 | tee make.gluegen.all.linux-armv7.log
+ -Drootrel.build=build-linux-armv6 \
+ $* 2>&1 | tee make.gluegen.all.linux-armv6.log
diff --git a/make/scripts/make.gluegen.all.linux-armv7hf-cross.sh b/make/scripts/make.gluegen.all.linux-armv6hf-cross.sh
index adc9a7f..c8c8f14 100755
--- a/make/scripts/make.gluegen.all.linux-armv7hf-cross.sh
+++ b/make/scripts/make.gluegen.all.linux-armv6hf-cross.sh
@@ -14,7 +14,7 @@ export PATH
# -Dgluegen.cpptasks.detected.os=true \
# -DisUnix=true \
# -DisLinux=true \
-# -DisLinuxARMv7=true \
+# -DisLinuxARMv6=true \
# -DisX11=false \
export NODE_LABEL=.
@@ -24,11 +24,11 @@ export HOST_IP=jogamp02
export HOST_RSYNC_ROOT=PROJECTS/JOGL
export TARGET_UID=jogamp
-export TARGET_IP=panda01
+export TARGET_IP=panda02
export TARGET_ROOT=/home/jogamp/projects-cross
export TARGET_ANT_HOME=/usr/share/ant
-export TARGET_PLATFORM_ROOT=/opt-linux-armv7-armhf
+export TARGET_PLATFORM_ROOT=/opt-linux-armv6-armhf
export TARGET_PLATFORM_LIBS=$TARGET_PLATFORM_ROOT/usr/lib
export TARGET_JAVA_LIBS=$TARGET_PLATFORM_ROOT/jre/lib/arm
@@ -38,7 +38,7 @@ export GLUEGEN_CPPTASKS_FILE="lib/gluegen-cpptasks-linux-armv6hf.xml"
export JUNIT_RUN_ARG0="-Dnewt.test.Screen.disableScreenMode"
ant \
- -Drootrel.build=build-linux-armv7hf \
- $* 2>&1 | tee make.gluegen.all.linux-armv7hf-cross.log
+ -Drootrel.build=build-linux-armv6hf \
+ $* 2>&1 | tee make.gluegen.all.linux-armv6hf-cross.log
diff --git a/make/scripts/make.gluegen.all.linux-armv7hf.sh b/make/scripts/make.gluegen.all.linux-armv6hf.sh
index 54fe85a..e922c2d 100755
--- a/make/scripts/make.gluegen.all.linux-armv7hf.sh
+++ b/make/scripts/make.gluegen.all.linux-armv6hf.sh
@@ -14,5 +14,5 @@ export TARGET_JAVA_LIBS=/usr/lib/jvm/java-6-openjdk-armhf/jre/lib/arm
export GLUEGEN_CPPTASKS_FILE="lib/gluegen-cpptasks-linux-armv6hf.xml"
ant \
- -Drootrel.build=build-linux-armv7hf \
- $* 2>&1 | tee make.gluegen.all.linux-armv7hf.log
+ -Drootrel.build=build-linux-armv6hf \
+ $* 2>&1 | tee make.gluegen.all.linux-armv6hf.log